yast2-ncurses: NCScrollbar Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCScrollbar Class Reference

List of all members.

## Public Types
enum | orientation { HORZ, VERT }
## Public Member Functions
| NCScrollbar (const NCWidget &parwid, NCursesWindow &par, wpos p, unsigned l, orientation orient)
virtual | ~NCScrollbar ()
void | set (unsigned tot, unsigned vis, unsigned start)
## Private Member Functions
void | adjust ()
void | draw_line (unsigned p, unsigned l, chtype ch=0)
void | draw_bar (unsigned p, unsigned l)
void | draw ()
## Private Attributes
chtype | ch_forward
chtype | ch_backward
chtype | ch_barbeg
chtype | ch_barend
chtype | ch_barone
const NCWidget & | parw
NCursesWindow * | win
orientation | type
unsigned | len
unsigned | total
unsigned | visible
unsigned | at

## Member Enumeration Documentation

enum NCScrollbar::orientation

  | Enumeration values:
  HORZ |
  VERT |

## Constructor & Destructor Documentation

NCScrollbar::NCScrollbar | ( | const NCWidget & | parwid,
|  | NCursesWindow & | par,
|  | wpos | p,
|  | unsigned | l,
|  | orientation | orient
| ) | `[inline]`

virtual NCScrollbar::~NCScrollbar | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void NCScrollbar::adjust | ( |  | ) | `[inline, private]`

void NCScrollbar::draw | ( |  | ) | `[inline, private]`

void NCScrollbar::draw_bar | ( | unsigned | p,
|  | unsigned | l
| ) | `[inline, private]`

void NCScrollbar::draw_line | ( | unsigned | p,
|  | unsigned | l,
|  | chtype | ch = `0`
| ) | `[inline, private]`

void NCScrollbar::set | ( | unsigned | tot,
|  | unsigned | vis,
|  | unsigned | start
| ) | `[inline]`

## Member Data Documentation

unsigned NCScrollbar::at`[private]`

chtype NCScrollbar::ch_backward`[private]`

chtype NCScrollbar::ch_barbeg`[private]`

chtype NCScrollbar::ch_barend`[private]`

chtype NCScrollbar::ch_barone`[private]`

chtype NCScrollbar::ch_forward`[private]`

unsigned NCScrollbar::len`[private]`

const NCWidget& NCScrollbar::parw`[private]`

unsigned NCScrollbar::total`[private]`

orientation NCScrollbar::type`[private]`

unsigned NCScrollbar::visible`[private]`

NCursesWindow* NCScrollbar::win`[private]`

The documentation for this class was generated from the following file:

- NCPadWidget.cc